summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-txi
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-txi')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-txi30
1 files changed, 9 insertions, 21 deletions
diff --git a/Master/tlpkg/bin/tl-update-txi b/Master/tlpkg/bin/tl-update-txi
index 229b042d31d..ff05d7d5aeb 100755
--- a/Master/tlpkg/bin/tl-update-txi
+++ b/Master/tlpkg/bin/tl-update-txi
@@ -45,6 +45,14 @@ do_dvips() {
}
#
+do_epspdf() {
+ mypkg=epspdf
+ cd $Master/texmf-dist/doc/support/$mypkg || exit 1
+ makeinfo --no-split $mypkg.info
+ mvcp-if-change $mypkg.info $infodir/
+}
+
+#
do_kpathsea() {
mypkg=kpathsea
cd $xk/$mypkg || exit 1
@@ -54,25 +62,6 @@ do_kpathsea() {
}
#
-# Uniquely, no .info files in the distribution.
-do_texinfo() {
- mypkg=texinfo
- cd $xu/$mypkg/doc || exit 1
- for manual in info info-stnd texinfo; do
- if test $manual = texinfo; then
- src=$manual.txi
- else
- src=$manual.texi
- fi
- makeinfo --no-split $src
- test $manual = texinfo && mv texinfo texinfo.info
- mvcp-if-change $manual.info $infodir/
- $texihtml $src && mv -v $manual.html $docdir/$mypkg/
- $texipdf $src && mv -v $manual.pdf $docdir/$mypkg/
- done
-}
-
-#
do_web2c() {
mypkg=web2c
cd $xk/$mypkg/doc || exit 1
@@ -83,11 +72,10 @@ do_web2c() {
do_dvipng
do_dvips
+do_epspdf
do_kpathsea
-do_texinfo
do_web2c
exit $?
-# still to add checks for: eplain, fontname.
# static: tds, texdraw.